<div class="front_page_section front_page_section_woocommerce<?php
			$jack_well_scheme = jack_well_get_theme_option('front_page_woocommerce_scheme');
			if (!jack_well_is_inherit($jack_well_scheme)) echo ' scheme_'.esc_attr($jack_well_scheme);
			echo ' front_page_section_paddings_'.esc_attr(jack_well_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$jack_well_css = '';
		$jack_well_bg_image = jack_well_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($jack_well_bg_image)) 
			$jack_well_css .= 'background-image: url('.esc_url(jack_well_get_attachment_url($jack_well_bg_image)).');';
		if (!empty($jack_well_css))
			echo ' style="' . esc_attr($jack_well_css) . '"';
?>><?php
	// Add anchor
	$jack_well_anchor_icon = jack_well_get_theme_option('front_page_woocommerce_anchor_icon');	
	$jack_well_anchor_text = jack_well_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($jack_well_anchor_icon) || !empty($jack_well_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($jack_well_anchor_icon) ? ' icon="'.esc_attr($jack_well_anchor_icon).'"' : '')
										. (!empty($jack_well_anchor_text) ? ' title="'.esc_attr($jack_well_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (jack_well_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' jack_well-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$jack_well_css = '';
			$jack_well_bg_mask = jack_well_get_theme_option('front_page_woocommerce_bg_mask');
			$jack_well_bg_color = jack_well_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($jack_well_bg_color) && $jack_well_bg_mask > 0)
				$jack_well_css .= 'background-color: '.esc_attr($jack_well_bg_mask==1
																	? $jack_well_bg_color
																	: jack_well_hex2rgba($jack_well_bg_color, $jack_well_bg_mask)
																).';';
			if (!empty($jack_well_css))
				echo ' style="' . esc_attr($jack_well_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$jack_well_caption = jack_well_get_theme_option('front_page_woocommerce_caption');
			$jack_well_description = jack_well_get_theme_option('front_page_woocommerce_description');
			if (!empty($jack_well_caption) || !empty($jack_well_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($jack_well_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($jack_well_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($jack_well_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($jack_well_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($jack_well_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($jack_well_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$jack_well_woocommerce_sc = jack_well_get_theme_option('front_page_woocommerce_products');
				if ($jack_well_woocommerce_sc == 'products') {
					$jack_well_woocommerce_sc_ids = jack_well_get_theme_option('front_page_woocommerce_products_per_page');
					$jack_well_woocommerce_sc_per_page = count(explode(',', $jack_well_woocommerce_sc_ids));
				} else {
					$jack_well_woocommerce_sc_per_page = max(1, (int) jack_well_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$jack_well_woocommerce_sc_columns = max(1, min($jack_well_woocommerce_sc_per_page, (int) jack_well_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$jack_well_woocommerce_sc}"
									. ($jack_well_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($jack_well_woocommerce_sc_ids).'"' 
											: '')
									. ($jack_well_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(jack_well_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($jack_well_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(jack_well_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(jack_well_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($jack_well_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($jack_well_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>